ListSetExecutor (Commons JEXL 2.0.1 API)
Keywords: org.apache.commons.jexl2.internal.ListSetExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.internal
Class ListSetExecutor

    java.lang.Object
      org.apache.commons.jexl2.internal.AbstractExecutor
          org.apache.commons.jexl2.internal.AbstractExecutor.Set
              org.apache.commons.jexl2.internal.ListSetExecutor

All Implemented Interfaces:
  JexlPropertySet

    public final class ListSetExecutor

extends AbstractExecutor.Set

Specialized executor to set a property in a List or array.

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.jexl2.internal.AbstractExecutor
`AbstractExecutor.Get, AbstractExecutor.Method, AbstractExecutor.Set`

Field Summary

Fields inherited from class org.apache.commons.jexl2.internal.AbstractExecutor
`method, objectClass, TRY_FAILED`

Constructor Summary
`ListSetExecutor(Introspector is, java.lang.Class<?> clazz, java.lang.Integer key, java.lang.Object value)` Creates an instance checking for the List interface or Array capability.

Method Summary
`java.lang.Object` | `execute(java.lang.Object obj, java.lang.Object value)` Sets the property value of an object.
`java.lang.Object` | `getTargetProperty()` Gets the property targeted by this executor.
`java.lang.Object` | `tryExecute(java.lang.Object obj, java.lang.Object key, java.lang.Object value)` Tries to reuse this executor, checking that it is compatible with the actual set of arguments.

Methods inherited from class org.apache.commons.jexl2.internal.AbstractExecutor.Set
`invoke, tryInvoke`

Methods inherited from class org.apache.commons.jexl2.internal.AbstractExecutor
`equals, equals, getMethod, getMethodName, getTargetClass, hashCode, isAlive, isCacheable, tryFailed`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.jexl2.introspection.JexlPropertySet
`isCacheable, tryFailed`

Constructor Detail

### ListSetExecutor

    public ListSetExecutor(Introspector is,
                           java.lang.Class<?> clazz,
                           java.lang.Integer key,
                           java.lang.Object value)

  Creates an instance checking for the List interface or Array capability.

  Parameters:
    `is` - the introspector
    `clazz` - the class that might implement the map interface
    `key` - the key to use in obj.set(key,value)
    `value` - the value to use in obj.set(key,value)

Method Detail

### getTargetProperty

    public java.lang.Object getTargetProperty()

  Gets the property targeted by this executor.

  Overrides:
    `getTargetProperty` in class `AbstractExecutor`
  Returns:
    the target property

### execute

    public java.lang.Object execute(java.lang.Object obj,
                                    java.lang.Object value)

  Sets the property value of an object.

  Specified by:
    `execute` in class `AbstractExecutor.Set`
  Parameters:
    `obj` - The object to set the property in.
    `value` - The value.
  Returns:
    The return value.

### tryExecute

    public java.lang.Object tryExecute(java.lang.Object obj,
                                       java.lang.Object key,
                                       java.lang.Object value)

  Tries to reuse this executor, checking that it is compatible with the actual set of arguments.

  Compatibility means that: `o` must be of the same class as this executor's target class, `property` must be of the same class as this executor's target property (for list and map based executors) and have the same value (for other types) and that `arg` must be a valid argument for this executor underlying method.

  Overrides:
    `tryExecute` in class `AbstractExecutor.Set`
  Parameters:
    `obj` - The object to invoke the method from.
    `key` - The property to set in the object.
    `value` - The value to use as the property value.
  Returns:
    The return value or TRY_FAILED if checking failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.